
Figure - Bug #118108
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】概率出现，副屏蓝牙电话会议中，中控播放音乐，断开副屏蓝牙，中控音乐仍
在播放
2023-05-19 16:29 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-19

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: 依赖中控解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 当在蓝牙连接情况下，用户请求从扬声器发声时，需要申请焦点，切回蓝牙时，需要释放焦点。��

Description

【前提条件】：

中控0080

副屏0100

【操作步骤】

1、副屏蓝牙电话会议中（微信）

2、中控播放音乐

3、断开副屏蓝牙

【预期结果】

3、中控音乐停止，只有副屏电话会议声音

【实际结果】

3、中控音乐仍在播放

History

#1 - 2023-05-20 15:15 - Multimedia组-RD3_TSCD 梁卿山

Hi all,

这个问题产生的原因是：断开蓝牙的时候，副屏没有重新申请voice call焦点。所以中控音乐不会暂停。

解决方法：当初与communication 状态时，断开蓝牙，申请voice call焦点。

#2 - 2023-05-22 15:33 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 当在蓝牙连接情况下，用户请求从扬声器发声时，需要申请焦点，切回蓝牙时，需要释放焦点。

HI 永红
当在蓝牙连接情况下，用户请求从扬声器发声时，需要申请焦点，切回蓝牙时，需要释放焦点。

该问题已经使用118016的提交修复，请使用5/22后的版本验证。谢谢！

#3 - 2023-05-23 14:08 - CD TEST-方永红

- File 1356.txt added

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to Multimedia组-RD3_TSCD 梁卿山

【测试版本】

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103

【前提条件】

1、设备与中控连接，音量同步正常

2、调节媒体音量至静音（此时中控和副屏都为静音状态）

【测试步骤】

1、副屏蓝牙电话会议中（飞书）

2、中控播放音乐

3、断开副屏蓝牙

【测试结果】

2、中控播放音乐但没有声音->调节中控媒体音量->有声音输出

3、断开副屏蓝牙后，中控音乐通知，喇叭输出电话会议声音，此时副屏显示静音图标

4、挂断电话后，中控音乐继续播放，此时副屏显示静音图标

5、分别在中控和副屏调节音量，音量调节不同步

#4 - 2023-05-24 19:25 - Multimedia组-RD3_TSCD 梁卿山

Hi all，

这个问题产生的原因是断开蓝牙耳机之后，系统对于蓝牙耳机状态判断错误导致。

解决方法：优化蓝牙耳机连接状态判断逻辑。

#5 - 2023-05-25 10:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202416 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Optimize Bluetooth call scenariosOptimize Bluetooth call scenariosTC-RID: 0301-0900116IssueID: TS-R-DF-118108Change-Id:

I0c1a1d41d145fb3af7715079fdb617dbf6fc93a7

#6 - 2023-05-25 10:21 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from VERIFY_FAILED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红
HI 永红

该问题已经投入patch修复，请使用5月25日后的版本验证，谢谢！

#7 - 2023-05-26 18:11 - 物联网测试组_CDTS  唐霞 

- File 526-118108.txt added

- File 526.txt added

- Subject changed from 【AF】【EVT3】【AUDIO】副屏蓝牙电话会议中，中控播放音乐，断开副屏蓝牙，中控音乐仍在播放 to 【AF】【EVT3】

【AUDIO】概率出现，副屏蓝牙电话会议中，中控播放音乐，断开副屏蓝牙，中控音乐仍在播放

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD TEST-方永红 to Multimedia组-RD3_TSCD 梁卿山

该问题概率出现，副屏蓝牙电话会议中，中控播放音乐，断开副屏蓝牙，中控音乐仍在播放（2/10）

#8 - 2023-05-26 18:42 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_CDTS  唐霞 

HI 唐霞

该问题经过分析，发现副屏申请焦点时中控没有回复，导致了中控依然能播放音乐。

31905:05-26 16:50:38.285  1522  2084 D AudioIDCMicroNegotiator: idcm_common:requestResult method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}

31906:05-26 16:50:38.285  1522  2084 I MicroServiceManager: requestResult(requestAudioFocus) parameters

is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

31911:05-26 16:50:38.290  2134  8663 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1685091038286160022',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1685091038286160022,"methodName":"requestAudioF

ocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}}}

31976:05-26 16:50:38.886  1522  2084 W AudioIDCMicroNegotiator: idcm_warn: timeout for obtainFocusState: null

31977:05-26 16:50:38.886  1522  2084 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

31979:05-26 16:50:38.886  1522  2084 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState, return: 0 mIsTimeout= true time= 600

31986:05-26 16:50:38.888  1522  1867 D AudioIDCMicroNegotiator: idcm_af:wait messsage done -> onAudioFocusRemoteChanged

下一步：

需要中控调查为什么蓝牙断开申请焦点没有回复。

#9 - 2023-05-27 14:04 - CDTS-TEST 周婷

- Category changed from AUDIO-FW to 依赖中控解决

- Assignee changed from 物联网测试组_CDTS  唐霞  to 物联网项目组-RD3_CDTS 周飞

请帮忙push 中控

#10 - 2023-08-01 15:42 - CDTS_TEST 王成

- Assignee changed from 物联网项目组-RD3_CDTS 周飞 to 物联网测试组_TSCD 王维

2025-07-04 3/4



在最新版本上做验证，无问题则关闭BUG

#11 - 2023-08-01 17:01 - 物联网测试组_TSCD 王维

- Status changed from ASSIGNED to RESOLVED

【验证结果】PASS

【验证版本】0801DB

【验证环境】使用AirPods和漫步者蓝牙耳机

【验证步骤】按复现步骤执行

【验证次数】20次

#12 - 2023-08-01 17:02 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#13 - 2023-08-01 17:02 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

A1624.txt 3.78 MB 2023-05-19 CD TEST-方永红

1356.txt 4.63 MB 2023-05-23 CD TEST-方永红

526-118108.txt 10.2 MB 2023-05-26 物联网测试组_CDTS  唐霞 

526.txt 4 MB 2023-05-26 物联网测试组_CDTS  唐霞 

2025-07-04 4/4


